;--- include file created by h2incx v0.99.20 (copyright 2005-2009 japheth)
;--- source file: C:\Program Files\Microsoft SDKs\Windows\v7.1\Include\d3d10misc.h, last modified: 4/19/2010 21:44
;--- cmdline used for creation:  -v -W3  -c -i -y -d3 -r -I "C:\Program Files (x86)\Microsoft Visual Studio 10.0\VC\include" -o "E:\Eigene Dateien\Dokumente\H2IncX\DX11" "C:\Program Files\Microsoft SDKs\Windows\v7.1\Include\d3d11.h"

;//////////////////////////////////////////////////////////////////////////////
;//
;//  Copyright (c) Microsoft Corporation.  All rights reserved.
;//
;//  File:       D3D10Misc.h
;//  Content:    D3D10 Device Creation APIs
;//
;//////////////////////////////////////////////////////////////////////////////
ifndef __D3D10MISC_H__
__D3D10MISC_H__	EQU	<>
	include d3d10.inc
;///////////////////////////////////////////////////////////////////////////
;// ID3D10Blob:
;// ------------
;// The buffer object is used by D3D10 to return arbitrary size data.
;//
;// GetBufferPointer -
;//    Returns a pointer to the beginning of the buffer.
;//
;// GetBufferSize -
;//    Returns the size of the buffer, in bytes.
;///////////////////////////////////////////////////////////////////////////
;ID3D10Blob typedef ID3D10Blob

LPD3D10BLOB typedef ptr ID3D10Blob

;// {8BA5FB08-5195-40e2-AC58-0D989C3A0102}
DEFINE_GUID( IID_ID3D10Blob , 8ba5fb08h , 5195h , 40e2h , 0ach , 58h , 0dh , 98h , 9ch , 3ah , 1h , 2h)
;#undef INTERFACE
INTERFACE	EQU	<ID3D10Blob>
DECLARE_INTERFACE_( ID3D10Blob , IUnknown)
;{
;// IUnknown
STDMETHOD  QueryInterface , :REFIID, :ptr LPVOID
STDMETHOD_  ULONG , AddRef
STDMETHOD_  ULONG , Release
;// ID3D10Blob
STDMETHOD_  LPVOID , GetBufferPointer
STDMETHOD_  SIZE_T , GetBufferSize
;}
DECLARE_INTERFACE__END

ifdef __cplusplus
;extern "C"
;{
endif ;//__cplusplus
;///////////////////////////////////////////////////////////////////////////
;// D3D10_DRIVER_TYPE
;// ----------------
;//
;// This identifier is used to determine the implementation of Direct3D10
;// to be used.
;//
;// Pass one of these values to D3D10CreateDevice
;//
;///////////////////////////////////////////////////////////////////////////
D3D10_DRIVER_TYPE typedef DWORD
D3D10_DRIVER_TYPE_HARDWARE = 0
D3D10_DRIVER_TYPE_REFERENCE = 1
D3D10_DRIVER_TYPE_NULL = 2
D3D10_DRIVER_TYPE_SOFTWARE = 3
D3D10_DRIVER_TYPE_WARP = 5

DEFINE_GUID( GUID_DeviceType , 0d722fb4dh , 7a68h , 437ah , 0b2h , 0ch , 58h , 04h , 0eeh , 24h , 94h , 0a6h)
;///////////////////////////////////////////////////////////////////////////
;// D3D10CreateDevice
;// ------------------
;//
;// pAdapter
;//      If NULL, D3D10CreateDevice will choose the primary adapter and
;//      create a new instance from a temporarily created IDXGIFactory.
;//      If non-NULL, D3D10CreateDevice will register the appropriate
;//      device, if necessary (via IDXGIAdapter::RegisterDrver), before
;//      creating the device.
;// DriverType
;//      Specifies the driver type to be created: hardware, reference or
;//      null.
;// Software
;//      HMODULE of a DLL implementing a software rasterizer. Must be NULL for
;//      non-Software driver types.
;// Flags
;//      Any of those documented for D3D10CreateDevice.
;// SDKVersion
;//      SDK version. Use the D3D10_SDK_VERSION macro.
;// ppDevice
;//      Pointer to returned interface.
;//
;// Return Values
;//  Any of those documented for
;//          CreateDXGIFactory
;//          IDXGIFactory::EnumAdapters
;//          IDXGIAdapter::RegisterDriver
;//          D3D10CreateDevice
;//
;///////////////////////////////////////////////////////////////////////////
D3D10CreateDevice proto WINSTDCALLCONV :ptr IDXGIAdapter, :D3D10_DRIVER_TYPE, :HMODULE, :DWORD, :DWORD, :ptr ptr ID3D10Device
;///////////////////////////////////////////////////////////////////////////
;// D3D10CreateDeviceAndSwapChain
;// ------------------------------
;//
;// ppAdapter
;//      If NULL, D3D10CreateDevice will choose the primary adapter and
;//      create a new instance from a temporarily created IDXGIFactory.
;//      If non-NULL, D3D10CreateDevice will register the appropriate
;//      device, if necessary (via IDXGIAdapter::RegisterDrver), before
;//      creating the device.
;// DriverType
;//      Specifies the driver type to be created: hardware, reference or
;//      null.
;// Software
;//      HMODULE of a DLL implementing a software rasterizer. Must be NULL for
;//      non-Software driver types.
;// Flags
;//      Any of those documented for D3D10CreateDevice.
;// SDKVersion
;//      SDK version. Use the D3D10_SDK_VERSION macro.
;// pSwapChainDesc
;//      Swap chain description, may be NULL.
;// ppSwapChain
;//      Pointer to returned interface. May be NULL.
;// ppDevice
;//      Pointer to returned interface.
;//
;// Return Values
;//  Any of those documented for
;//          CreateDXGIFactory
;//          IDXGIFactory::EnumAdapters
;//          IDXGIAdapter::RegisterDriver
;//          D3D10CreateDevice
;//          IDXGIFactory::CreateSwapChain
;//
;///////////////////////////////////////////////////////////////////////////
D3D10CreateDeviceAndSwapChain proto WINSTDCALLCONV :ptr IDXGIAdapter, :D3D10_DRIVER_TYPE, :HMODULE, :DWORD, :DWORD, :ptr DXGI_SWAP_CHAIN_DESC, :ptr ptr IDXGISwapChain, :ptr ptr ID3D10Device
;///////////////////////////////////////////////////////////////////////////
;// D3D10CreateBlob:
;// -----------------
;// Creates a Buffer of n Bytes
;//////////////////////////////////////////////////////////////////////////
D3D10CreateBlob proto WINSTDCALLCONV :DWORD, :ptr LPD3D10BLOB
ifdef __cplusplus
;}
endif ;//__cplusplus
endif ;//__D3D10EFFECT_H__

;--- errors: 0
;--- end of file ---
